\documentclass{tortechrep}


\newcommand{\todo}[1]{[{\textbf{todo}}: {\em\color{red} #1}]}

\newcommand{\deliverabletitle}{Addressing Denial of Service Attacks on Free and
Open Communication on the Internet}
\newcommand{\deliverablesubtitle}{Interim Report 1}
\newcommand{\reportnumber}{2018-11-001}
\newcommand{\deliverabledate}{November 19, 2018}
\newcommand{\deliverablecontact}{kat@torproject.org}
\newcommand{\deliverablefootnote}{This work is licensed under a \href{https://creativecommons.org/licenses/by/4.0/legalcode}{Creative Commons Attribution 4.0 International License}. \ccby}

\newcommand{\eg}{\mbox{e.g.}\xspace}
\newcommand{\ie}{\mbox{i.e.}\xspace}

\newcommand{\deliverableauthorlist}{
Antonela Debiasi, Roger Dingledine, Arthur Edelstein,\\%
Alexander F\ae r\o y, Matthew Finkel, David Goulet,\\%
Kat Hanna, Maggie Haughey, George Kadianakis,\\%
Iain R. Learmonth, Alison Macrina, and Maria Xynou}%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% LATEX MACHINERY BEGINS HERE - NO USER-SERVICEABLE PARTS INSIDE
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Package definitions
%

\usepackage{graphicx}
\usepackage{subfigure}
\usepackage{color}
\usepackage{xcolor}
\usepackage{chngcntr}
\usepackage{longtable}
\usepackage{fancyhdr}
\usepackage{setspace}
\usepackage{url}
\usepackage{amsmath}
\usepackage{acronym}
\usepackage{listings}
\usepackage{balance}
\usepackage{array}
\usepackage{hyperref}
\usepackage{xspace}
\usepackage{ccicons}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Heading style definitions
%

\setcounter{secnumdepth}{4}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define some colors

\definecolor{darkred}{RGB}{128, 0, 0}
\definecolor{darkgray}{RGB}{95, 95, 95}

\definecolor{architecuregreen}{RGB}{135, 222, 170}
\definecolor{experimentationblue}{RGB}{128, 179, 255}
\definecolor{measurementred}{RGB}{255, 128, 128}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\acrodef{AQM}{Active Queue Management}
\acrodef{ECN}{Explicit Congestion Notification}
\acrodef{EWMA}{Exponential Weighted Moving Average}
\acrodef{FEC}{Forward Error Correction}
\acrodef{IETF}{Internet Engineering Task Force}
\acrodef{MAMI}{Measurement and Architecture for a Middleboxed Internet}
\acrodef{MCP}{Middlebox Cooperation Protocol}
\acrodef{RED}{Random Early Detection}
\acrodef{RTT}{Round-Trip Time}
\acrodef{TCP}{Transmission Control Protocol}
\acrodef{TTL}{Time-To-Live}
\acrodef{NAT}{Network Address Translation}
\acrodef{UDP}{User Datagram Protocol}
\acrodef{MTU}{Maximum Transmission Unit}
\acrodef{MSS}{Maximum Segment Size}
\acrodef{PMTUD}{Path MTU Discovery}
\acrodef{PLPMTUD}{Packetization Layer Path MTU Discovery}
\acrodef{DPLPMTUD}{Datagram Packetization Layer Path MTU Discovery}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Front page
%
\begin{document}

\title{\deliverabletitle}
\subtitle{\deliverablesubtitle}

\author{\deliverableauthorlist}
\contact{\deliverablecontact}

\reportid{\reportnumber\footnote{\deliverablefootnote}}

\date{\deliverabledate}
\maketitle

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Table of contents
%
\tableofcontents

\section{Introduction}
\label{chap:intro}

\input{intro.tex}

\section{Better Pluggable Transports for Actively Censored Regimes}
\label{chap:better-pts}

\subsection{Bridge distribution and pluggable transports}

\input{task7a.tex}

\subsection{Tor Browser and pluggable transports}

\input{task7b.tex}

\section{Beyond Web Browsing}
\label{chap:more-apps}

\input{task9.tex}

\section{Performance Under Resource Constraints}
\label{chap:perf-bad-networks}

\input{task10.tex}

\input{task10c.tex}

\section{Network and Censorship Measurement}
\label{chap:measurement}

\input{task11.tex}

\section{Onion Routing Network Defense}
\label{chap:network-defense}

\input{task6.tex}

\section{A Stronger Research Community}
\label{chap:stronger-research}

\input{task8.tex}

\section{Conclusion}
\label{chap:conclusion}

\input{conclusion.tex}

\section{Acknowledgements}
\input{acknowledgements.tex}

\bibliography{../sponsor19,../rfc,../tortechreports,../references}

\end{document}
